#ifndef BISON_Y_TAB_H
# define BISON_Y_TAB_H

#ifndef YYSTYPE
typedef union {
	char 	*sval;
	int		ival;
	int 	*ipntr;
	float	fval;
    List    list;
	struct	inchan_info *input_conf;
	struct	outchan_info *output_conf;
	struct	CONF_con *connect_conf;
	struct	CONF_global *global_conf;
	struct	CONFPRV_version ver;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	T_ID	257
# define	T_STRING	258
# define	T_FLOAT	259
# define	T_INT	260
# define	T_OPENSCOPE	261
# define	T_CLOSESCOPE	262
# define	T_SEMI	263
# define	T_QUOTE	264
# define	T_COMMA	265
# define	T_DOT	266
# define	T_EQUALS	267
# define	T_DASH	268
# define	T_STAR	269
# define	T_OUTPUT	270
# define	T_INPUT	271
# define	T_ACL	272
# define	T_VERSION	273
# define	T_TYPE	274
# define	T_LISTEN	275
# define	T_PORT	276
# define	T_FORMAT	277
# define	T_FOPTS	278
# define	T_OUTPATH	279
# define	T_PRIORITY	280
# define	T_CONNECT	281
# define	T_TO	282
# define	T_GLOBAL	283
# define	T_USER	284
# define	T_GROUP	285
# define	T_DBGFILE	286
# define	T_SOCKPATH	287


extern YYSTYPE conf_lval;

#endif /* not BISON_Y_TAB_H */
